<app-title [title]="'Liste de vos enfants'"></app-title>
<div class="has-left-margin is-flex is-align-center is-space-between">
<div>
  <div>
    <span #Number [style.visibility]="'hidden'">{{numberNotif}}</span>
    <img #Bell (click)="openNotif()" [src]="img" >
  </div>
  <div class="is-flex" *ngIf="notif">
    <div [className]="isMobile ? 'test cut-mobile' : 'test cut'">
      <table class="table font has-margin-left-4 has-margin-top-1 has-margin-bottom-1  has-margin-right-4">
        <tbody>
          <tr class="tr-notif" *ngFor="let ask of listTests; let i = index">
              <td [style.Color]="'black'">
                  {{ask.name}} vous demande comme enfant.
              </td>
              <td *ngIf="!isMobile">
                <button class="button is-success has-left-margin" (click)="acceptChild(ask)">Accepter</button>
              </td>
              <td *ngIf="!isMobile">
                <button class="button is-danger has-left-margin" (click)="declineChild(ask)">Refuser</button>
              </td>
              <td *ngIf="isMobile">
                <div #DropNotif (click)="openActions(i)" class="dropdown has-margin-right-1">
                  <div class="dropdown-trigger">
                    <button class="button is-stats">
                      <span>Actions</span>
                    </button>
                  </div>
                  <div class="dropdown-menu" id="dropdown-menu" role="menu">
                    <div class="dropdown-content">
                      <div class="dropdown-item has-background-success" (click)="acceptChild(ask)">
                        <span [style.Color]="'white'">
                          Accepter
                        </span>
                      </div>
                      <div (click)="declineChild(ask)" class="dropdown-item has-background-danger">
                        <span [style.Color]="'white'">
                          Refuser
                        </span>
                      </div>
                    </div>
                  </div>
                </div>
              </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>
</div>
<div *ngIf="hasNoChildren" class="has-text-center">
  <div class="is-flex is-centered">
    <p [className]="isMobile ? 'warning is-mobile' : 'warning is-desktop'">Vous n'avez pour l'instant aucun enfant ajouté.</p>
    <button (click)="openAddChild()" class="button is-flex is-add-button">
      <img width="20px" class="has-margin-right-1" src="assets/images/plus.png"/>
      Ajouter un enfant
    </button>
  </div>
</div>

<div *ngIf="hasChildren" class="is-flex is-centered has-margin-top-1">
  <div [className]="isMobile ? 'background' : 'background width-60 is-flex is-centered'">
    <button (click)="openAddChild()" class="button has-margin-top-1 has-margin-bottom-1 is-add-button">
      <img width="20px" class="has-margin-right-1" src="assets/images/plus.png"/>
      <span>Ajouter un enfant</span>
    </button>
    <!-- <table class="table font-2 has-margin-top-1 has-margin-bottom-1 has-margin-left-4 has-margin-right-4 size">
      <tbody>
        <tr *ngFor="let enfant of listChildren">
            <td>
              <img class="circle vertical-align" width="60px" [src]="goPerso(enfant.character)">
            </td>
            <td class="vertical-align">
                {{enfant.name}}
            </td>
            <td>
              <button class="button is-rounded is-stats is-flex"><img width="20px" class="has-margin-right-1" src="../../assets/images/stats_green.png"> <a [routerLink]="goStatsfriend(enfant.name)" class="is-a-stats" routerLinkActive="active">Statistiques</a></button>
            </td>
            <td *ngIf="!isMobile">
              <button [style.visibility]="'hidden'" (click)="askDelete(enfant)" class="button is-rounded is-flex is-suppr"><img width="30px" class="has-margin-right-1" src="../../assets/images/poubelle.png">Supprimer</button>
            </td>
            <td>
              <button (click)="askDelete(enfant)" class="button is-rounded is-flex is-suppr"><img width="30px" class="has-margin-right-1" src="../../assets/images/poubelle.png">Supprimer</button>
            </td>
        </tr>
      </tbody>
    </table> -->
    <table *ngIf="!isMobile" class="table font-2 has-margin-top-1 has-margin-bottom-1 has-margin-left-4 has-margin-right-4 size">
      <tbody>
        <tr *ngFor="let enfant of listChildren">
            <td>
              <img class="circle" width="50px" [src]="goPerso(enfant.character)">
            </td>
            <td class="vertical-align">
                {{enfant.name}}
            </td>
            <td>
              <button class="button is-rounded is-stats is-flex"><img width="20px" class="has-margin-right-1" src="../../assets/images/stats_green.png"> <a [routerLink]="goStatschild(enfant.pseudo)" class="is-a-stats" routerLinkActive="active">Statistiques</a></button>
            </td>
            <td>
              <button (click)="askDelete(enfant)" class="button is-rounded is-flex is-suppr"><img width="30px" class="has-margin-right-1" src="../../assets/images/poubelle.png">Supprimer</button>
            </td>
        </tr>
      </tbody>
    </table>
    <table *ngIf="isMobile" class="table font has-margin-left-4 has-margin-top-1 has-margin-bottom-1 has-margin-right-4">
      <tbody>
        <tr *ngFor="let enfant of listChildren; let i = index">
            <td>
              <img class="circle" width="50px" [src]="goPerso(enfant.character)">
            </td>
            <td>
                {{enfant.name}}
            </td>
            <td>
              <div #Tpt (click)="open(i)" class="dropdown has-margin-right-1">
                <div class="dropdown-trigger">
                  <button class="button drop">
                    <span>Actions</span>
                  </button>
                </div>
                <div class="dropdown-menu" id="dropdown-menu" role="menu">
                  <div class="dropdown-content">
                    <div class="dropdown-item is-stats is-flex is-column is-align-center" [routerLink]="goStatschild(enfant.pseudo)" routerLinkActive="active">
                      <img width="15px" class="has-margin-bottom-1" src="../../assets/images/stats_green.png">
                      <a [routerLink]="goStatschild(enfant.pseudo)" class="is-a-stats" routerLinkActive="active">Statistiques</a>
                    </div>
                    <div (click)="askDelete(enfant)" class="dropdown-item is-flex is-column is-align-center is-suppr">
                      <img width="25px" class="has-margin-bottom-1" src="../../assets/images/poubelle.png">
                      <span>
                        Supprimer
                      </span>
                    </div>
                  </div>
                </div>
              </div>
            </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>


<!--MODALS-->

<div #Add class="modal">
  <div class="modal-background"></div>
  <div class="modal-card">
    <header class="modal-card-head">
      <div class="is-flex is-align-center is-column flex-grow-4">
        <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/profil.png">
        <p class="modal-card-title has-margin-top-1">Ajouter un enfant</p>
      </div>
      <button (click)="cancel('add')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
    </header>
    <section class="modal-card-body">
      <div class="is-flex is-column is-align-center justify-center content">
        <form class="is-flex is-centered" [formGroup]="addForm">
          <app-password formControlName="username" [password]="'hidden'" [text]="'Pseudo de votre enfant'"></app-password>
          <button *ngIf="addForm.valid" #SubmitButton [className]="isMobile ? 'button default-style submit-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop submit-style has-margin-top-1 has-margin-bottom-2'" id="submit" (click)="addChild()">Valider</button>
        </form>
      </div>

    </section>
  </div>
</div>

<div #Success class="modal">
<div class="modal-background"></div>
<div class="modal-card">
  <header class="modal-card-head">
    <div class="is-flex is-align-center is-column flex-grow-4">
      <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/send.png">
      <p class="modal-card-title has-margin-top-1">Invitation envoyée</p>
    </div>
    <button (click)="cancel('success')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
  </header>
  <section class="modal-card-body">
    <div class="is-flex is-column is-align-center justify-center content">
        <p class="is-modal-paragraph">L'invitation destinée à {{username}} a bien été envoyée !</p>
        <button [className]="isMobile ? 'button default-style submit-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop submit-style has-margin-top-1 has-margin-bottom-2'" (click)="redirect()">Compris</button>
    </div>
  </section>
</div>
</div>

<div #Failure class="modal">
<div class="modal-background"></div>
<div class="modal-card">
  <header class="modal-card-head">
    <div class="is-flex is-align-center is-column flex-grow-4">
      <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/error.png">
      <p class="modal-card-title has-margin-top-1">une erreur est survenue !</p>
    </div>
    <button (click)="cancel('failure')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
  </header>
  <section class="modal-card-body">
    <div class="is-flex is-column is-align-center justify-center content">
        <p class="is-modal-paragraph">Il semble y avoir un problème.</p>
        <button [className]="isMobile ? 'button default-style failure-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop failure-style has-margin-top-1 has-margin-bottom-2'" (click)="redirect()">Réessayer</button>
    </div>
  </section>
</div>
</div>

<div #Warning class="modal">
<div class="modal-background"></div>
<div class="modal-card">
  <header class="modal-card-head">
    <div class="is-flex is-align-center is-column flex-grow-4">
      <img [className]="isMobile ? 'imageSize-mobile' : 'imageSize-desktop'" src="../../assets/images/warning.png">
      <p class="modal-card-title has-margin-top-1">Supprimer {{childToDelete.name}} ?</p>
    </div>
    <button (click)="cancel('warning')" class="buttonStyle has-cursor-pointer"><img width="50px" src="../../assets/images/croix.png"/></button>
  </header>
  <section class="modal-card-body">
    <div class="is-flex is-column is-align-center justify-center content">
        <p class="is-modal-paragraph"> Êtes-vous sûr de vouloir supprimer {{childToDelete.name}} de vos enfants ? Vous pourrez toujours l'ajouter de nouveau si vous changez d'avis plus tard.</p>
        <div class="is-flex buttons">
          <button #SubmitButton2 [className]="isMobile ? 'button default-style submit-style has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop submit-style has-margin-top-1 has-margin-bottom-2'" (click)="delete()">Confirmer</button>
          <button [className]="isMobile ? 'button default-style is-cancel has-margin-top-1 has-margin-bottom-2 button-size-mobile' : 'button default-style button-size-desktop is-cancel has-margin-top-1 has-margin-bottom-2'" (click)="cancel('warning')">Annuler</button>
        </div>
    </div>
  </section>
</div>
</div>